#include <Application.h>
#include <InterfaceKit.h>
#include <StorageKit.h>
#include <TrackerAddon.h>
#include <stdio.h>

void process_refs(entry_ref dir_ref, BMessage *msg, void *)
{
  BDirectory Directory(&dir_ref);
  BFile NewTextFile;
  BEntry NewTextEntry;
  BPath NewPath;
  char newFileName[B_PATH_NAME_LENGTH] = "NewText.txt";
  int i = 1;

  while (Directory.CreateFile(newFileName, &NewTextFile, true) == B_FILE_EXISTS) {
    sprintf(newFileName,"%s%d.txt","NewText",i);
    i++;
  };
  if ( NewTextFile.InitCheck() == B_NO_INIT ) {
    (new BAlert("", "一発NewText\nファイルシステムのエラーです。\nこのフォルダには作成できません。", "OK"))->Go();
    return;
  };
  NewTextEntry.SetTo(&Directory,newFileName);
  NewTextEntry.GetPath(&NewPath);
  update_mime_info(NewPath.Path(),0,0,0);
  NewTextFile.Unset();
}

main()
{
  new BApplication("application/x-momoziro.NewText");
  (new BAlert("", "一発NewText Release1\n新規テキストファイル作成 Tracker Add-on です。\n/boot/home/config/add-ons/Trackerに置いてご利用ください。\n\n1999 momoziro研究所\n  http://www.mars.dti.ne.jp/~momoziro\n  mailto:momoziro@mars.dti.ne.jp", "OK"))->Go();
  delete be_app;
}
